The way Solid Edge works, all measurements are based on a single unit. Then a corresponding value is used to display whatever the user has selected as the display units.
Thus, I programmed in to the macro a value of KG vs. LBS, which explains why you are seeing the double-ish values.
Also, as...
Try this one. I'm leaving now till Tuesday tho. So let me know if it works and how your directories are structured.http://files.engineering.com/getfile.aspx?folder=0cfa2520-5227-4e4d-ae1e-6aa584638741&file=GetMassCustomProp.exe
Oops, attached raw code by mistake. Here it is.http://files.engineering.com/getfile.aspx?folder=bd768fa1-39b5-4401-a66b-b0674deaf795&file=GetMassCustomProp.exe
Open a part file, run the attached .exe file via
Application --> Macros --> Run Macro
And let me know if it does what you want.
Also, do you need this for Assemblies also?
what is your directory structure? Do you use Insight?
I have VB6, but not the time to do it at the moment. I can give you code to compute and retrieve the mass if you have any programming experience at all. Otherwise I'm off until next Tuesday. Attached is an .exe but it will only do one model at a time. Next week I can maybe make it cycle through...
It won't show it in the Properties dialog. You'll have to use a callout or the like to display it.
What are you trying to do? Why not just call the actual Mass property?
Create the Custom Property called MASS, assign it as Text, and use the string "%{MASS}" in the Value box.
However, I am unsure of how to update it automatically, without having to update the physical properties. Also, if you use the custom property as a callout or in a title block, you will...
Without seeing the model, it's hard to say exactly. But lets say you had the cylinder tied to a reference plane, then when you alter the extrusion length, it should act like a pencil being sharpened with the point cutting down toward the place.
I am well aware of this problem as well. My work around has been to error trap it or list each custom property to see if the name matches.
Example:
With seApp.ActiveDocument.Properties
For i = 1 To .Item("Custom").Count
If .Item("Custom").Item(i).Name = "MyCustomProp" Then...
My maintenance crew wants to take some forks off of a lift that had an engine blow up and use them on a similar sized capacity forklift. However, the mounting is different. Thus, they want to remove the existing clip type mount and weld tubing to the top to enable mounting on the other lift. My...
RMB over view and select Properties. Select item in the list on the Display tab that has Tube centerlines. Right click over item and select "List Centerlines". Then click on the centerline and un-highlight "Show". Then update the view.
I wrote a VB6 program that will iterate through each view...